PHPExcel_Writer_Excel5

category | PHPExcel
package | PHPExcel_Writer_Excel5
copyright | Copyright (c) 2006 - 2013 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## Create a new PHPExcel_Writer_Excel5

    __construct(\PHPExcel $phpExcel)

### Parameters

#### $phpExcel

`\PHPExcel`

PHPExcel object

## Get disk caching directory

    getDiskCachingDirectory() : string

Inherited

inherited_from | \PHPExcel_Writer_Abstract::getDiskCachingDirectory()

### Returns

`string`

## Write charts in workbook? If this is true, then the Writer will write definitions for any charts that exist in the PHPExcel object.

    getIncludeCharts() : boolean

Inherited

If false (the default) it will ignore any charts defined in the PHPExcel object.

inherited_from | \PHPExcel_Writer_Abstract::getIncludeCharts()

### Returns

`boolean`

## Get Pre-Calculate Formulas flag If this is true (the default), then the writer will recalculate all formulae in a workbook when saving, so that the pre-calculated values are immediately available to MS Excel or other office spreadsheet viewer when opening the file If false, then formulae are not calculated on save.

    getPreCalculateFormulas() : boolean

Inherited

This is faster for saving in PHPExcel, but slower when opening the resulting file in MS Excel, because Excel has to recalculate the formulae itself

inherited_from | \PHPExcel_Writer_Abstract::getPreCalculateFormulas()

### Returns

`boolean`

## Get use disk caching where possible?

    getUseDiskCaching() : boolean

Inherited

inherited_from | \PHPExcel_Writer_Abstract::getUseDiskCaching()

### Returns

`boolean`

## Save PHPExcel to file

    save(string $pFilename)

@param string $pFilename Name of the file to save

### Parameters

#### $pFilename

`string`

### Exceptions

`\PHPExcel_Writer_Exception` |

## Set write charts in workbook Set to true, to advise the Writer to include any charts that exist in the PHPExcel object.

    setIncludeCharts(boolean $pValue) : \PHPExcel_Writer_IWriter

Inherited

Set to false (the default) to ignore charts.

inherited_from | \PHPExcel_Writer_Abstract::setIncludeCharts()

### Parameters

#### $pValue

`boolean`

### Returns

`\PHPExcel_Writer_IWriter`

## Set Pre-Calculate Formulas Set to true (the default) to advise the Writer to calculate all formulae on save Set to false to prevent precalculation of formulae on save.

    setPreCalculateFormulas(boolean $pValue) : \PHPExcel_Writer_IWriter

Inherited

inherited_from | \PHPExcel_Writer_Abstract::setPreCalculateFormulas()

### Parameters

#### $pValue

`boolean`

Pre-Calculate Formulas?

### Returns

`\PHPExcel_Writer_IWriter`

## Set temporary storage directory

    setTempDir(string $pValue) : \PHPExcel_Writer_Excel5

deprecated |

### Parameters

#### $pValue

`string`

Temporary storage directory

### Exceptions

`\PHPExcel_Writer_Exception` | when directory does not exist

### Returns

`\PHPExcel_Writer_Excel5`

## Set use disk caching where possible?

    setUseDiskCaching(boolean $pValue, string $pDirectory) : \PHPExcel_Writer_Excel2007

Inherited

inherited_from | \PHPExcel_Writer_Abstract::setUseDiskCaching()

### Parameters

#### $pValue

`boolean`

#### $pDirectory

`string`

Disk caching directory

### Exceptions

`\PHPExcel_Writer_Exception` | when directory does not exist

### Returns

`\PHPExcel_Writer_Excel2007`

## Build the Escher object corresponding to the MSODRAWINGGROUP record

    _buildWorkbookEscher()

## Build the Worksheet Escher objects

    _buildWorksheetEschers()

## Build the OLE Part for DocumentSummary Information

    _writeDocumentSummaryInformation() : string

### Returns

`string`

## Build the OLE Part for Summary Information

    _writeSummaryInformation() : string

### Returns

`string`

### Properties

##

    $_diskCachingDirectory : string

Inherited

inherited_from | \PHPExcel_Writer_Abstract::$$_diskCachingDirectory

##

    $_includeCharts : boolean

Inherited

inherited_from | \PHPExcel_Writer_Abstract::$$_includeCharts

##

    $_preCalculateFormulas : boolean

Inherited

inherited_from | \PHPExcel_Writer_Abstract::$$_preCalculateFormulas

##

    $_useDiskCaching : boolean

Inherited

inherited_from | \PHPExcel_Writer_Abstract::$$_useDiskCaching

##

    $_IDCLs : array

Used in MSODRAWINGGROUP record.

##

    $_colors : array

Mapping between RGB value and color index.

##

    $_documentSummaryInformation : array

##

    $_parser : \PHPExcel_Writer_Excel5_Parser

##

    $_phpExcel : \PHPExcel

##

    $_str_table : array

##

    $_str_total : int

##

    $_str_unique : int

##

    $_summaryInformation : array